# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cryptic/hoffa/version'

Gem::Specification.new do |spec|
  spec.name          = "cryptic-hoffa"
  spec.version       = Cryptic::Hoffa::VERSION
  spec.authors       = ["Noah Gibbs"]
  spec.email         = ["noah@onlive.com"]
  spec.description   = %q{Gateway OMQ data to Cassandra}
  spec.summary       = %q{Gateway OMQ data to Cassandra}
  spec.homepage      = ""
  spec.license       = "Proprietary"

  spec.files         = (File.exist?("MANIFEST") ? File.read("MANIFEST") : `git ls-files`).split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "cassandra_migrate"

  spec.add_runtime_dependency "trollop"
  spec.add_runtime_dependency "cryptic-highway"
  spec.add_runtime_dependency "rubyglu"
  spec.add_runtime_dependency "multi_json"
  spec.add_runtime_dependency "erubis"

  # For Highway-from-SQL and querying user sites
  spec.add_runtime_dependency "activerecord"
  spec.add_runtime_dependency "mysql2"
end
